curl --request POST \
--url https://api.birdeye.com/resources/v1/ticket/{businessNumber}/get/all \
--header 'Content-Type: application/json' \
--data '
{
"assignees": [],
"businessNumbers": [],
"fromDate": 1581230064000,
"sourceAliases": [
""
],
"sourceTypes": [
"phone",
"socialmedia",
"chat",
"internal"
],
"tagNames": [
"newReview"
],
"ticketStatuses": [
"assigned",
"new"
],
"ticketTypes": [
"review",
"survey",
"untagged"
],
"toDate": 1707460464000
}
'import requests
url = "https://api.birdeye.com/resources/v1/ticket/{businessNumber}/get/all"
payload = {
"assignees": [],
"businessNumbers": [],
"fromDate": 1581230064000,
"sourceAliases": [""],
"sourceTypes": ["phone", "socialmedia", "chat", "internal"],
"tagNames": ["newReview"],
"ticketStatuses": ["assigned", "new"],
"ticketTypes": ["review", "survey", "untagged"],
"toDate": 1707460464000
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
assignees: [],
businessNumbers: [],
fromDate: 1581230064000,
sourceAliases: [''],
sourceTypes: ['phone', 'socialmedia', 'chat', 'internal'],
tagNames: ['newReview'],
ticketStatuses: ['assigned', 'new'],
ticketTypes: ['review', 'survey', 'untagged'],
toDate: 1707460464000
})
};
fetch('https://api.birdeye.com/resources/v1/ticket/{businessNumber}/get/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ticketDetails": [
"<unknown>"
]
}{
"code": 1033,
"message": "You are not authorized to perform this action"
}{
"code": 1175,
"message": "No business found with the given id"
}{
"code": 89,
"message": "Rate limit exceeded"
}Get All Ticket Data
Headers
e.g. application/json
e.g. 2uiHKCTi8hSg35MG75aaot0B2SAokhjk (string, required) - Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Business number of the account.
Query Parameters
Possible values are: [1] will display ticket count only, [3] will display all the data of the ticket. Default value - 3.
Start index of the response. Default value - 0
Number of tickets want to get in the response. Default value - 25
Sort options, Possible values [2] will sort on the basis of ticket creation date. [3] will sort on the basis of characters of business aliases. Default value 2.
Sort Order [0] will sort the data in ascending order. [1] this will sort the data in descending order. Default value - 1
Body
List of assignee email id.
List of Location Business Numbers.
Epoc start date.
Epoc end date.
Source alias.
Source Type.
Tag assigned to any review ticket.
Filter tickets with status.
List of ticket type, Possible values
review,
untagged,
survey
Response
OK
Ticket Details.

